- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# COuterVMR9 Class Reference

List of all members.

## Public Member Functions
| COuterVMR9 (const TCHAR *pName, LPUNKNOWN pUnk)
STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
STDMETHODIMP | GetNativeVideoSize (LONG *lpWidth, LONG *lpHeight, LONG *lpARWidth, LONG *lpARHeight)
STDMETHODIMP | GetMinIdealVideoSize (LONG *lpWidth, LONG *lpHeight)
STDMETHODIMP | GetMaxIdealVideoSize (LONG *lpWidth, LONG *lpHeight)
STDMETHODIMP | SetVideoPosition (const LPRECT lpSRCRect, const LPRECT lpDSTRect)
STDMETHODIMP | GetVideoPosition (LPRECT lpSRCRect, LPRECT lpDSTRect)
STDMETHODIMP | GetAspectRatioMode (DWORD *lpAspectRatioMode)
STDMETHODIMP | SetAspectRatioMode (DWORD AspectRatioMode)
STDMETHODIMP | SetVideoClippingWindow (HWND hwnd)
STDMETHODIMP | RepaintVideo (HWND hwnd, HDC hdc)
STDMETHODIMP | DisplayModeChanged ()
STDMETHODIMP | GetCurrentImage (BYTE **lpDib)
STDMETHODIMP | SetBorderColor (COLORREF Clr)
STDMETHODIMP | GetBorderColor (COLORREF *lpClr)
STDMETHODIMP | SetColorKey (COLORREF Clr)
STDMETHODIMP | GetColorKey (COLORREF *lpClr)
STDMETHODIMP | GetTypeInfoCount (UINT *pctinfo)
STDMETHODIMP | GetTypeInfo (UINT iTInfo, LCID lcid, ITypeInfo **ppTInfo)
STDMETHODIMP | GetIDsOfNames (REFIID riid, LPOLESTR *rgszNames, UINT cNames, LCID lcid, DISPID *rgDispId)
STDMETHODIMP | Invoke (DISPID dispIdMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr)
STDMETHODIMP | put_Caption (BSTR strCaption)
STDMETHODIMP | get_Caption (BSTR *strCaption)
STDMETHODIMP | put_WindowStyle (long WindowStyle)
STDMETHODIMP | get_WindowStyle (long *WindowStyle)
STDMETHODIMP | put_WindowStyleEx (long WindowStyleEx)
STDMETHODIMP | get_WindowStyleEx (long *WindowStyleEx)
STDMETHODIMP | put_AutoShow (long AutoShow)
STDMETHODIMP | get_AutoShow (long *AutoShow)
STDMETHODIMP | put_WindowState (long WindowState)
STDMETHODIMP | get_WindowState (long *WindowState)
STDMETHODIMP | put_BackgroundPalette (long BackgroundPalette)
STDMETHODIMP | get_BackgroundPalette (long *pBackgroundPalette)
STDMETHODIMP | put_Visible (long Visible)
STDMETHODIMP | get_Visible (long *pVisible)
STDMETHODIMP | put_Left (long Left)
STDMETHODIMP | get_Left (long *pLeft)
STDMETHODIMP | put_Width (long Width)
STDMETHODIMP | get_Width (long *pWidth)
STDMETHODIMP | put_Top (long Top)
STDMETHODIMP | get_Top (long *pTop)
STDMETHODIMP | put_Height (long Height)
STDMETHODIMP | get_Height (long *pHeight)
STDMETHODIMP | put_Owner (OAHWND Owner)
STDMETHODIMP | get_Owner (OAHWND *Owner)
STDMETHODIMP | put_MessageDrain (OAHWND Drain)
STDMETHODIMP | get_MessageDrain (OAHWND *Drain)
STDMETHODIMP | get_BorderColor (long *Color)
STDMETHODIMP | put_BorderColor (long Color)
STDMETHODIMP | get_FullScreenMode (long *FullScreenMode)
STDMETHODIMP | put_FullScreenMode (long FullScreenMode)
STDMETHODIMP | SetWindowForeground (long Focus)
STDMETHODIMP | NotifyOwnerMessage (OAHWND hwnd, long uMsg, LONG_PTR wParam, LONG_PTR lParam)
STDMETHODIMP | SetWindowPosition (long Left, long Top, long Width, long Height)
STDMETHODIMP | GetWindowPosition (long *pLeft, long *pTop, long *pWidth, long *pHeight)
STDMETHODIMP | GetMinIdealImageSize (long *pWidth, long *pHeight)
STDMETHODIMP | GetMaxIdealImageSize (long *pWidth, long *pHeight)
STDMETHODIMP | GetRestorePosition (long *pLeft, long *pTop, long *pWidth, long *pHeight)
STDMETHODIMP | HideCursor (long HideCursor)
STDMETHODIMP | IsCursorHidden (long *CursorHidden)
STDMETHODIMP | get_AvgTimePerFrame (REFTIME *pAvgTimePerFrame)
STDMETHODIMP | get_BitRate (long *pBitRate)
STDMETHODIMP | get_BitErrorRate (long *pBitErrorRate)
STDMETHODIMP | get_VideoWidth (long *pVideoWidth)
STDMETHODIMP | get_VideoHeight (long *pVideoHeight)
STDMETHODIMP | put_SourceLeft (long SourceLeft)
STDMETHODIMP | get_SourceLeft (long *pSourceLeft)
STDMETHODIMP | put_SourceWidth (long SourceWidth)
STDMETHODIMP | get_SourceWidth (long *pSourceWidth)
STDMETHODIMP | put_SourceTop (long SourceTop)
STDMETHODIMP | get_SourceTop (long *pSourceTop)
STDMETHODIMP | put_SourceHeight (long SourceHeight)
STDMETHODIMP | get_SourceHeight (long *pSourceHeight)
STDMETHODIMP | put_DestinationLeft (long DestinationLeft)
STDMETHODIMP | get_DestinationLeft (long *pDestinationLeft)
STDMETHODIMP | put_DestinationWidth (long DestinationWidth)
STDMETHODIMP | get_DestinationWidth (long *pDestinationWidth)
STDMETHODIMP | put_DestinationTop (long DestinationTop)
STDMETHODIMP | get_DestinationTop (long *pDestinationTop)
STDMETHODIMP | put_DestinationHeight (long DestinationHeight)
STDMETHODIMP | get_DestinationHeight (long *pDestinationHeight)
STDMETHODIMP | SetSourcePosition (long Left, long Top, long Width, long Height)
STDMETHODIMP | GetSourcePosition (long *pLeft, long *pTop, long *pWidth, long *pHeight)
STDMETHODIMP | SetDefaultSourcePosition ()
STDMETHODIMP | SetDestinationPosition (long Left, long Top, long Width, long Height)
STDMETHODIMP | GetDestinationPosition (long *pLeft, long *pTop, long *pWidth, long *pHeight)
STDMETHODIMP | SetDefaultDestinationPosition ()
STDMETHODIMP | GetVideoSize (long *pWidth, long *pHeight)
STDMETHODIMP | GetVideoPaletteEntries (long StartIndex, long Entries, long *pRetrieved, long *pPalette)
STDMETHODIMP | GetCurrentImage (long *pBufferSize, long *pDIBImage)
STDMETHODIMP | IsUsingDefaultSource ()
STDMETHODIMP | IsUsingDefaultDestination ()
STDMETHODIMP | GetPreferredAspectRatio (long *plAspectX, long *plAspectY)
## Public Attributes
| DECLARE_IUNKNOWN

## Detailed Description

Definition at line 882 of file DX9AllocatorPresenter.cpp.

The documentation for this class was generated from the following file:

- C:/guliverkli/src/apps/mplayerc/DX9AllocatorPresenter.cpp